using Otter;

namespace KellysMarvelousAdventure.entities
{
    class Stairs : Entity
    {
        private Spritemap<string> _spriteMap;

        public Stairs(float x, float y, string floor)
        {
            X = x; Y = y;
            SetHitbox(96, 32, (int)Global.Type.STAIRS);
            _spriteMap = new Spritemap<string>(Assets.STAIRS, 96, 32);
            _spriteMap.Add("upstairs", new int[] { 0 }, new float[] { 3, 3 });
            _spriteMap.Add("downstairs", new int[] { 1 }, new float[] { 3, 3 });
            _spriteMap.Play(floor);
            Graphic = _spriteMap;
            Layer = 1;
        }
    }
}
